﻿
/**
* Rozměry okna
*/
function executeExample1() {
    console.log("Šířka onka:", window.innerWidth, ", výška okna:", window.innerHeight);
}


/**
* Rozměry obrazovky
*/
function executeExample2() {
    console.log("Šířka obrazovky:", window.outerWidth, ", výška obrazovky:", window.outerHeight);
}

/**
* Pozice stránky (scroll)
*/
function executeExample3() {
    console.log("Pozice stránky X:", window.pageXOffset, ", pozice stránky Y:", window.pageYOffset);
}

/**
* window.location
*/
function executeExample4() {
    console.log("window.location.hash:", window.location.hash);
    console.log("window.location.host:", window.location.host);
    console.log("window.location.hostname:", window.location.hostname);
    console.log("window.location.href:", window.location.href);
    console.log("window.location.pathname:", window.location.pathname);
    console.log("window.location.port:", window.location.port);
    console.log("window.location.protocol:", window.location.protocol);
    console.log("window.location.search:", window.location.search);
}


/**
* window.location.reload();
*/
function executeExample5() {
    window.location.reload();
}


/**
* window.navigator
*/
function executeExample6() {
    console.log(window.navigator);
}


/**
* window.alert()
*/
function executeExample7() {
    alert("Toto je upozornění!");
}


/**
* window.confirm()
*/
function executeExample8() {
    if (confirm("Opravdu chcete provést tuto akci?")) {
        console.log("Akce byla provedena.");
    }
}

/**
* window.prompt()
*/
function executeExample9() {
    var age = prompt("Váš věk:");
    if (age != null) {
        console.log("Zadaný věk:", age);
    }
}

/**
* window.print()
*/
function executeExample10() {
    print();
}


/**
* window.setInterval()
*/
function executeExample11() {

    var elapsedCount = 0;

    var intervalRef = setInterval(function () {

        // Vypíšeme, že došlo k spuštění
        console.log("Interval elapsed - " + elapsedCount);

        // Po 20 spuštěních interval zrušíme
        elapsedCount++;
        if (elapsedCount >= 20) {
            clearInterval(intervalRef);
        }

    }, 1000);

}

/**
* window.setTimeout()
*/
function executeExample12() {
    setTimeout(function () {
        console.log("Timeout elapsed.");
    }, 1000);
}


// Další: http://www.w3schools.com/jsref/obj_window.asp












/**
* Math
*/
function executeExample13() {
    console.log("Math.PI:", Math.PI);
    console.log("Math.abs:", Math.abs(-20));
    console.log("Math.sin(Math.PI / 2):", Math.sin(Math.PI / 2)); // Úhel je v radiánech!
    console.log("Math.pow(2, 8):", Math.pow(2, 8));
    console.log("Math.floor(0.7):", Math.floor(0.7));
    console.log("Math.ceil(0.1):", Math.ceil(0.1));
    console.log("Math.round(0.5):", Math.round(0.5));
    console.log("Math.sqrt(64):", Math.sqrt(64));
    
}







/**
* Date
*/
function executeExample14() {
    var date = new Date();
    console.log("Aktuální datum:", date);


    var czechDate = date.getDate() + ". " + (date.getMonth() + 1) + ". " + date.getFullYear() + " " + date.getHours() + ":" + date.getMinutes() + ":" + date.getSeconds(); // Pozor na měsíce!
    console.log("České datum a čas:", czechDate);

    console.log("Milisekund od 1. ledna 1970:", date.getTime());

    // Výpočet věku
    var birthday = new Date(1988, 11 - 1, 2);
    var ageMs = new Date().getTime() - birthday.getTime();
    console.log("Věk:", Math.floor(ageMs / (1000 * 60 * 60 * 24 * 365.25)));
    
}





/**
* RegExp
*/
function executeExample15() {

    // ID studenta VŠB (třeba tři písmena a 2-4 číslice)
    var vsbId1 = new RegExp("^[a-zA-Z]{3}[0-9]{2,4}$");

    console.log("Je JAW254 korektní ID studenta:", vsbId1.test("JAW254"));
    console.log("Je JA254 korektní ID studenta:", vsbId1.test("JA254"));





    // Nahrazení v textu
    var txt = "Moje ID je JAW254. A kamarád má ID ABC0123."
    var vsbId2 = new RegExp("[a-zA-Z]{3}[0-9]{2,4}", "g");
    txt = txt.replace(vsbId2, function (match) {
        var stars = "";
        for (var i = 0; i < match.length; i++) {
            stars += "*";
        }
        return stars;
    });
    console.log("Text po ahrazení ID:", txt);



}

